Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-sdl2/widget_checkbox.c File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Functions | Variables
widget_checkbox.c File Reference
`#include <SDL2/SDL.h>`
`#include "log.h"`
`#include "colors.h"`
`#include "graphics.h"`
`#include "gui_tilespec.h"`
`#include "themespec.h"`
`#include "widget.h"`
`#include "widget_p.h"`

Go to the source code of this file.

## Functions

static int | redraw_checkbox (struct widget *icon)
static int | redraw_textcheckbox (struct widget *cbox)
struct widget * | create_checkbox (struct gui_layer *pdest, bool state, Uint32 flags)
struct widget * | create_textcheckbox (struct gui_layer *pdest, bool state, utf8_str *pstr, Uint32 flags)
int | set_new_checkbox_theme (struct widget *cbox, SDL_Surface *true_surf, SDL_Surface *false_surf)
void | toggle_checkbox (struct widget *cbox)
bool | get_checkbox_state (struct widget *cbox)

## Variables

static int(* | checkbox_baseclass_redraw )(struct widget *pwidget)
static int(* | textcheckbox_baseclass_redraw )(struct widget *pwidget)

## Function Documentation

## ◆ create_checkbox()

struct widget * create_checkbox | ( | struct gui_layer * | pdest,
|  | bool | state,
|  | Uint32 | flags
| ) |  |

Create a new checkbox widget.

Definition at line 115 of file widget_checkbox.c.

Referenced by create_textcheckbox(), economy_report_dialog_popup(), option_widget_new(), popup_city_cma_dialog(), popup_goto_airlift_dialog(), popup_players_dialog(), and real_info_city_report_dialog_update().

## ◆ create_textcheckbox()

struct widget * create_textcheckbox | ( | struct gui_layer * | pdest,
|  | bool | state,
|  | utf8_str * | pstr,
|  | Uint32 | flags
| ) |  |

Create a new checkbox-with-text widget.

Definition at line 149 of file widget_checkbox.c.

Referenced by create_city_options_widget_list().

## ◆ get_checkbox_state()

bool get_checkbox_state | ( | struct widget * | cbox | ) |

Check state of the checkbox.

Definition at line 239 of file widget_checkbox.c.

Referenced by option_widget_apply(), option_widget_update(), popup_cma_from_city_report_callback(), real_city_report_dialog_update_city(), and update_city_cma_dialog().

## ◆ redraw_checkbox()

static int redraw_checkbox | ( | struct widget * | icon | ) |

static

Blit checkbox gfx to surface its on.

Definition at line 43 of file widget_checkbox.c.

Referenced by create_checkbox().

## ◆ redraw_textcheckbox()

static int redraw_textcheckbox | ( | struct widget * | cbox | ) |

static

Blit checkbox-with-text gfx to surface its on.

Returns
  0 on success

Definition at line 78 of file widget_checkbox.c.

Referenced by create_textcheckbox().

## ◆ set_new_checkbox_theme()

int set_new_checkbox_theme | ( | struct widget * | cbox,
|  | SDL_Surface * | true_surf,
|  | SDL_Surface * | false_surf
| ) |  |

Set theme surfaces for a checkbox.

Definition at line 195 of file widget_checkbox.c.

Referenced by economy_report_dialog_popup(), and popup_goto_airlift_dialog().

## ◆ toggle_checkbox()

void toggle_checkbox | ( | struct widget * | cbox | ) |

Change the state of the checkbox.

Definition at line 225 of file widget_checkbox.c.

Referenced by option_widget_update(), real_city_report_dialog_update_city(), and widget_pressed_action().

## Variable Documentation

## ◆ checkbox_baseclass_redraw

int(* checkbox_baseclass_redraw) (struct widget *pwidget) | ( | struct widget * | pwidget | ) |

static

Definition at line 37 of file widget_checkbox.c.

Referenced by create_checkbox().

## ◆ textcheckbox_baseclass_redraw

int(* textcheckbox_baseclass_redraw) (struct widget *pwidget) | ( | struct widget * | pwidget | ) |

static

Definition at line 38 of file widget_checkbox.c.

Referenced by create_textcheckbox().